<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:43:44 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Uses of Class org.apache.http.config.MessageConstraints (HttpCore 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class org.apache.http.config.MessageConstraints (HttpCore 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/config//class-useMessageConstraints.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MessageConstraints.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.apache.http.config.MessageConstraints</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.config"><B>org.apache.http.config</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl"><B>org.apache.http.impl</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/package-summary.html"><CODE>org.apache.http</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.io"><B>org.apache.http.impl.io</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/io/package-summary.html"><CODE>org.apache.http.io</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.io"><B>org.apache.http.io</B></A></TD>
<TD>Blocking I/O session buffer, message parser / writer interfaces.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.params"><B>org.apache.http.params</B></A></TD>
<TD>The parameterization framework for HTTP components.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.config"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A> in <A HREF="../../../../../org/apache/http/config/package-summary.html">org.apache.http.config</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../org/apache/http/config/package-summary.html">org.apache.http.config</A> declared as <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></CODE></FONT></TD>
<TD><CODE><B>MessageConstraints.</B><B><A HREF="../../../../../org/apache/http/config/MessageConstraints.html#DEFAULT">DEFAULT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/config/package-summary.html">org.apache.http.config</A> that return <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></CODE></FONT></TD>
<TD><CODE><B>MessageConstraints.Builder.</B><B><A HREF="../../../../../org/apache/http/config/MessageConstraints.Builder.html#build()">build</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></CODE></FONT></TD>
<TD><CODE><B>MessageConstraints.</B><B><A HREF="../../../../../org/apache/http/config/MessageConstraints.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></CODE></FONT></TD>
<TD><CODE><B>ConnectionConfig.</B><B><A HREF="../../../../../org/apache/http/config/ConnectionConfig.html#getMessageConstraints()">getMessageConstraints</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></CODE></FONT></TD>
<TD><CODE><B>MessageConstraints.</B><B><A HREF="../../../../../org/apache/http/config/MessageConstraints.html#lineLen(int)">lineLen</A></B>(int&nbsp;max)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/config/package-summary.html">org.apache.http.config</A> with parameters of type <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/config/ConnectionConfig.Builder.html" title="class in org.apache.http.config">ConnectionConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B>ConnectionConfig.Builder.</B><B><A HREF="../../../../../org/apache/http/config/ConnectionConfig.Builder.html#setMessageConstraints(org.apache.http.config.MessageConstraints)">setMessageConstraints</A></B>(<A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;messageConstraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A> in <A HREF="../../../../../org/apache/http/impl/package-summary.html">org.apache.http.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../org/apache/http/impl/package-summary.html">org.apache.http.impl</A> with parameters of type <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/BHttpConnectionBase.html#BHttpConnectionBase(int, java.nio.charset.CharsetDecoder, java.nio.charset.CharsetEncoder, org.apache.http.config.MessageConstraints, org.apache.http.entity.ContentLengthStrategy, org.apache.http.entity.ContentLengthStrategy)">BHttpConnectionBase</A></B>(int&nbsp;buffersize,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/charset/CharsetDecoder.html?is-external=true" title="class or interface in java.nio.charset">CharsetDecoder</A>&nbsp;chardecoder,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/charset/CharsetEncoder.html?is-external=true" title="class or interface in java.nio.charset">CharsetEncoder</A>&nbsp;charencoder,
                    <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints,
                    <A HREF="../../../../../org/apache/http/entity/ContentLengthStrategy.html" title="interface in org.apache.http.entity">ContentLengthStrategy</A>&nbsp;incomingContentStrategy,
                    <A HREF="../../../../../org/apache/http/entity/ContentLengthStrategy.html" title="interface in org.apache.http.entity">ContentLengthStrategy</A>&nbsp;outgoingContentStrategy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates new instance of BHttpConnectionBase.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/DefaultBHttpClientConnection.html#DefaultBHttpClientConnection(int, java.nio.charset.CharsetDecoder, java.nio.charset.CharsetEncoder, org.apache.http.config.MessageConstraints)">DefaultBHttpClientConnection</A></B>(int&nbsp;buffersize,
                             <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/charset/CharsetDecoder.html?is-external=true" title="class or interface in java.nio.charset">CharsetDecoder</A>&nbsp;chardecoder,
                             <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/charset/CharsetEncoder.html?is-external=true" title="class or interface in java.nio.charset">CharsetEncoder</A>&nbsp;charencoder,
                             <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/DefaultBHttpClientConnection.html#DefaultBHttpClientConnection(int, java.nio.charset.CharsetDecoder, java.nio.charset.CharsetEncoder, org.apache.http.config.MessageConstraints, org.apache.http.entity.ContentLengthStrategy, org.apache.http.entity.ContentLengthStrategy, org.apache.http.io.HttpMessageWriterFactory, org.apache.http.io.HttpMessageParserFactory)">DefaultBHttpClientConnection</A></B>(int&nbsp;buffersize,
                             <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/charset/CharsetDecoder.html?is-external=true" title="class or interface in java.nio.charset">CharsetDecoder</A>&nbsp;chardecoder,
                             <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/charset/CharsetEncoder.html?is-external=true" title="class or interface in java.nio.charset">CharsetEncoder</A>&nbsp;charencoder,
                             <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints,
                             <A HREF="../../../../../org/apache/http/entity/ContentLengthStrategy.html" title="interface in org.apache.http.entity">ContentLengthStrategy</A>&nbsp;incomingContentStrategy,
                             <A HREF="../../../../../org/apache/http/entity/ContentLengthStrategy.html" title="interface in org.apache.http.entity">ContentLengthStrategy</A>&nbsp;outgoingContentStrategy,
                             <A HREF="../../../../../org/apache/http/io/HttpMessageWriterFactory.html" title="interface in org.apache.http.io">HttpMessageWriterFactory</A>&lt;<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&gt;&nbsp;requestWriterFactory,
                             <A HREF="../../../../../org/apache/http/io/HttpMessageParserFactory.html" title="interface in org.apache.http.io">HttpMessageParserFactory</A>&lt;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&gt;&nbsp;responseParserFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates new instance of DefaultBHttpClientConnection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/DefaultBHttpServerConnection.html#DefaultBHttpServerConnection(int, java.nio.charset.CharsetDecoder, java.nio.charset.CharsetEncoder, org.apache.http.config.MessageConstraints)">DefaultBHttpServerConnection</A></B>(int&nbsp;buffersize,
                             <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/charset/CharsetDecoder.html?is-external=true" title="class or interface in java.nio.charset">CharsetDecoder</A>&nbsp;chardecoder,
                             <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/charset/CharsetEncoder.html?is-external=true" title="class or interface in java.nio.charset">CharsetEncoder</A>&nbsp;charencoder,
                             <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/DefaultBHttpServerConnection.html#DefaultBHttpServerConnection(int, java.nio.charset.CharsetDecoder, java.nio.charset.CharsetEncoder, org.apache.http.config.MessageConstraints, org.apache.http.entity.ContentLengthStrategy, org.apache.http.entity.ContentLengthStrategy, org.apache.http.io.HttpMessageParserFactory, org.apache.http.io.HttpMessageWriterFactory)">DefaultBHttpServerConnection</A></B>(int&nbsp;buffersize,
                             <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/charset/CharsetDecoder.html?is-external=true" title="class or interface in java.nio.charset">CharsetDecoder</A>&nbsp;chardecoder,
                             <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/charset/CharsetEncoder.html?is-external=true" title="class or interface in java.nio.charset">CharsetEncoder</A>&nbsp;charencoder,
                             <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints,
                             <A HREF="../../../../../org/apache/http/entity/ContentLengthStrategy.html" title="interface in org.apache.http.entity">ContentLengthStrategy</A>&nbsp;incomingContentStrategy,
                             <A HREF="../../../../../org/apache/http/entity/ContentLengthStrategy.html" title="interface in org.apache.http.entity">ContentLengthStrategy</A>&nbsp;outgoingContentStrategy,
                             <A HREF="../../../../../org/apache/http/io/HttpMessageParserFactory.html" title="interface in org.apache.http.io">HttpMessageParserFactory</A>&lt;<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&gt;&nbsp;requestParserFactory,
                             <A HREF="../../../../../org/apache/http/io/HttpMessageWriterFactory.html" title="interface in org.apache.http.io">HttpMessageWriterFactory</A>&lt;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&gt;&nbsp;responseWriterFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates new instance of DefaultBHttpServerConnection.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.io"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A> in <A HREF="../../../../../org/apache/http/impl/io/package-summary.html">org.apache.http.impl.io</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/impl/io/package-summary.html">org.apache.http.impl.io</A> with parameters of type <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/io/HttpMessageParser.html" title="interface in org.apache.http.io">HttpMessageParser</A>&lt;<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultHttpRequestParserFactory.</B><B><A HREF="../../../../../org/apache/http/impl/io/DefaultHttpRequestParserFactory.html#create(org.apache.http.io.SessionInputBuffer, org.apache.http.config.MessageConstraints)">create</A></B>(<A HREF="../../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;buffer,
       <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/io/HttpMessageParser.html" title="interface in org.apache.http.io">HttpMessageParser</A>&lt;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultHttpResponseParserFactory.</B><B><A HREF="../../../../../org/apache/http/impl/io/DefaultHttpResponseParserFactory.html#create(org.apache.http.io.SessionInputBuffer, org.apache.http.config.MessageConstraints)">create</A></B>(<A HREF="../../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;buffer,
       <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../org/apache/http/impl/io/package-summary.html">org.apache.http.impl.io</A> with parameters of type <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/io/AbstractMessageParser.html#AbstractMessageParser(org.apache.http.io.SessionInputBuffer, org.apache.http.message.LineParser, org.apache.http.config.MessageConstraints)">AbstractMessageParser</A></B>(<A HREF="../../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;buffer,
                      <A HREF="../../../../../org/apache/http/message/LineParser.html" title="interface in org.apache.http.message">LineParser</A>&nbsp;lineParser,
                      <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates new instance of AbstractMessageParser.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/io/DefaultHttpRequestParser.html#DefaultHttpRequestParser(org.apache.http.io.SessionInputBuffer, org.apache.http.message.LineParser, org.apache.http.HttpRequestFactory, org.apache.http.config.MessageConstraints)">DefaultHttpRequestParser</A></B>(<A HREF="../../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;buffer,
                         <A HREF="../../../../../org/apache/http/message/LineParser.html" title="interface in org.apache.http.message">LineParser</A>&nbsp;lineParser,
                         <A HREF="../../../../../org/apache/http/HttpRequestFactory.html" title="interface in org.apache.http">HttpRequestFactory</A>&nbsp;requestFactory,
                         <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates new instance of DefaultHttpRequestParser.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/io/DefaultHttpRequestParser.html#DefaultHttpRequestParser(org.apache.http.io.SessionInputBuffer, org.apache.http.config.MessageConstraints)">DefaultHttpRequestParser</A></B>(<A HREF="../../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;buffer,
                         <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/io/DefaultHttpResponseParser.html#DefaultHttpResponseParser(org.apache.http.io.SessionInputBuffer, org.apache.http.message.LineParser, org.apache.http.HttpResponseFactory, org.apache.http.config.MessageConstraints)">DefaultHttpResponseParser</A></B>(<A HREF="../../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;buffer,
                          <A HREF="../../../../../org/apache/http/message/LineParser.html" title="interface in org.apache.http.message">LineParser</A>&nbsp;lineParser,
                          <A HREF="../../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory,
                          <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates new instance of DefaultHttpResponseParser.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/io/DefaultHttpResponseParser.html#DefaultHttpResponseParser(org.apache.http.io.SessionInputBuffer, org.apache.http.config.MessageConstraints)">DefaultHttpResponseParser</A></B>(<A HREF="../../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;buffer,
                          <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/io/SessionInputBufferImpl.html#SessionInputBufferImpl(org.apache.http.impl.io.HttpTransportMetricsImpl, int, int, org.apache.http.config.MessageConstraints, java.nio.charset.CharsetDecoder)">SessionInputBufferImpl</A></B>(<A HREF="../../../../../org/apache/http/impl/io/HttpTransportMetricsImpl.html" title="class in org.apache.http.impl.io">HttpTransportMetricsImpl</A>&nbsp;metrics,
                       int&nbsp;buffersize,
                       int&nbsp;minChunkLimit,
                       <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints,
                       <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/charset/CharsetDecoder.html?is-external=true" title="class or interface in java.nio.charset">CharsetDecoder</A>&nbsp;chardecoder)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates new instance of SessionInputBufferImpl.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.io"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A> in <A HREF="../../../../../org/apache/http/io/package-summary.html">org.apache.http.io</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/io/package-summary.html">org.apache.http.io</A> with parameters of type <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/io/HttpMessageParser.html" title="interface in org.apache.http.io">HttpMessageParser</A>&lt;<A HREF="../../../../../org/apache/http/io/HttpMessageParserFactory.html" title="type parameter in HttpMessageParserFactory">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>HttpMessageParserFactory.</B><B><A HREF="../../../../../org/apache/http/io/HttpMessageParserFactory.html#create(org.apache.http.io.SessionInputBuffer, org.apache.http.config.MessageConstraints)">create</A></B>(<A HREF="../../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;buffer,
       <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.params"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A> in <A HREF="../../../../../org/apache/http/params/package-summary.html">org.apache.http.params</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/params/package-summary.html">org.apache.http.params</A> that return <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config">MessageConstraints</A></CODE></FONT></TD>
<TD><CODE><B>HttpParamConfig.</B><B><A HREF="../../../../../org/apache/http/params/HttpParamConfig.html#getMessageConstraints(org.apache.http.params.HttpParams)">getMessageConstraints</A></B>(<A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/config/MessageConstraints.html" title="class in org.apache.http.config"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/config//class-useMessageConstraints.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MessageConstraints.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
